

   MEMBER('MathDemo.clw')                                  ! This is a MEMBER module

                     MAP
                       INCLUDE('MATHD001.INC'),ONCE        !Local module procedure declarations
                     END


Main                 PROCEDURE                             ! Declare Procedure
myMaths1 MathClassType
myMaths2 &MathClassType

  CODE
    !-- myMaths1 object has been automatically created by the compiler because of the way it was declared
    !--
    Message('Add 1+2 using the auto-instantiated myMaths1 = ' & myMaths1.Add2(1,2),'myMaths1')


    !-- myMaths2 object has been declared as a reference using the & symbol so we need to create it manually before we can use it
    !--
    myMaths2 &= NEW(MathClassType)

    Message('Add 4+5 using manually instantiated myMaths2 = ' & myMaths2.Add2(4,5),'myMaths2')

    !-- We must dispose of our manually created object when we have finished using it
    !--
    Dispose(myMaths2)

